| Home | Libraries | People | FAQ | More

## Class multiple_occurrences

boost::program_options::multiple_occurrences

## Synopsis

    // In header: <boost/program_options/errors.hpp>

    class multiple_occurrences :
      public boost::program_options::error_with_option_name
    {
    public:
      // construct/copy/destruct
      multiple_occurrences();
      ~multiple_occurrences();
    };

## Description

Class thrown when there are several occurrences of an option, but user called a method which cannot return them all.

### `multiple_occurrences` public construct/copy/destruct

1.     multiple_occurrences();

2.     ~multiple_occurrences();